package org.apache.bcel.verifier.structurals;

package .tmp;

import java.util.ArrayList;
import java.util.List;
import java.util.Vector;
import org.apache.bcel.verifier.structurals.InstructionContext;
import org.apache.bcel.verifier.structurals.Pass3bVerifier;

final class InstructionContextQueue {
  private final List<InstructionContext> ics = new Vector<>();
  
  private final List<ArrayList<InstructionContext>> ecs = new Vector<>();
  
  public void add(InstructionContext ic, ArrayList<InstructionContext> executionChain) {
    this.ics.add(ic);
    this.ecs.add(executionChain);
  }
  
  public ArrayList<InstructionContext> getEC(int i) {
    return this.ecs.get(i);
  }
  
  public InstructionContext getIC(int i) {
    return this.ics.get(i);
  }
  
  public boolean isEmpty() {
    return this.ics.isEmpty();
  }
  
  public void remove(int i) {
    this.ics.remove(i);
    this.ecs.remove(i);
  }
  
  public int size() {
    return this.ics.size();
  }
  
  private InstructionContextQueue() {}
}
